# Credits licensing for media files in `mobs_mc`

## Licenses used

The following media licenses are used:

* [CC0](https://creativecommons.org/choose/zero/)
* [CC BY 3.0](https://creativecommons.org/licenses/by/3.0/)
* [CC BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)
* [GPL v3](https://www.gnu.org/licenses/gpl-3.0.html])
* [MIT License](https://opensource.org/licenses/MIT)
* [LGPL v2.1](https://www.gnu.org/licenses/lgpl-2.1.html)

Note: A “`*`” in a file name below is a placeholder which can stand for any text.

## Models
All models were done by [22i](https://github.com/22i) and are licensed under GPLv3.

Origin of those models:

* [Mod “amc”](https://github.com/22i/amc/)
* [Repository with Blender source files for models](https://github.com/22i/minecraft-voxel-blender-models)

## Textures

* Mob and item textures are heavily based on [Pixel Perfection](https://www.planetminecraft.com/texture_pack/131pixel-perfection/), a texture pack for Minecraft.
    * Original author: [XSSheep](https://www.planetminecraft.com/member/xssheep/)
    * License (if not mentioned otherwise): CC BY-SA 4.0
    * Some textures have been modified or added
    * Modifications and additions by MysticTempest:
        * `mobs_mc_cave_spider.png`
        * `mobs_mc_enderman_eyes.png`
        * `mobs_mc_enderman.png`
        * `mobs_mc_ghast.png`
        * `mobs_mc_skeleton.png`
        * `mobs_mc_slime.png`
        * `mobs_mc_spider_eyes.png`
        * `mobs_mc_spider.png`
        * `mobs_mc_squid.png`
        * `mobs_mc_zombie.png`
        * `mobs_mc_villager_butcher.png`
        * `mobs_mc_villager_farmer.png`
        * `mobs_mc_villager_librarian.png`
        * `mobs_mc_villager.png`
        * `mobs_mc_villager_priest.png`
        * `mobs_mc_villager_smith.png`
        * `mobs_mc_parrot_blue.png`
        * `mobs_mc_parrot_green.png`
        * `mobs_mc_parrot_grey.png`
        * `mobs_mc_parrot_red_blue.png`
        * `mobs_mc_parrot_yellow_blue.png`
        * `mobs_mc_evoker_base.png` (modified by kingoscargames)
        * `mobs_mc_illusionist_bow.png`
        * `mobs_mc_illusionist.png`
        * `mobs_mc_vindicator_axe.png`
        * `mobs_mc_vindicator_base.png`
        * `mobs_mc_horse_skeleton.png`
    * Additions by kingoscargames:
        * `mobs_mc_vex.png`
        * `mobs_mc_vex_charging.png`
        * `mobs_mc_llama.png`
        * `mobs_mc_llama_creamy.png`
        * `mobs_mc_llama_brown.png`
        * `mobs_mc_llama_white.png`
        * `mobs_mc_llama_gray.png`
        * `mobs_mc_llama_chest.png`
        * `mobs_mc_endermite.png`
        * `mobs_mc_magmacube.png`
        * `mobs_mc_chicken.png`
        * `mobs_mc_wither.png`
        * `mobs_mc_wither_skeleton.png`
        * `mobs_mc_TEMP_wither_projectile.png`	
    * Gerold55
        * `mobs_mc_mooshroom_brown.png` (CC0)
        * `mobs_mc_mushroom_brown.png` (CC0)

* “Spawn egg” textures (`mobs_mc_spawn_icon_*`) by 22i
* Any other texture not mentioned here are licensed under the MIT License

## Sounds

* PilzAdam and Wuzzy (CC0)
    * `mobs_mc_chicken_lay_egg.ogg`
* [AGFX](http://www.freesound.org/people/DrMinky/sounds/) (CC0)
    * `mobs_mc_chicken_child.ogg`
        * Source: <https://freesound.org/people/AGFX/sounds/43380/>
* Randomation (CC0)
    * `green_slime_damage.ogg`
    * `green_slime_attack.ogg`
        * Source: <http://www.freesound.org/people/RandomationPictures/sounds/138481/>
* [Dr. Minky](http://www.freesound.org/people/DrMinky/sounds/) (CC BY 3.0)
    * `green_slime_jump.ogg`
    * `green_slime_land.ogg`
    * `green_slime_death.ogg`
* Zozzy from Freesound.org (CC0)
    * `mobs_mc_cow.ogg`
        * Source: <https://www.freesound.org/people/Zozzy/sounds/59245/>
* [Bird\_man](https://freesound.org/people/Bird_man/packs/16972/)
    * `mobs_mc_cow_hurt.ogg` (CC0)
        * Heavily modified
        * Source: <https://freesound.org/people/Bird_man/packs/16972/>
* [NPXcoot](https://github.com/NPXcoot1) (CC BY-SA 4.0)
    * `mobs_mc_ender_dragon_*`
* Blender Foundation (CC BY 3.0)
    * `mobs_sheep.ogg`,
* daufinsyd (MIT License)
    * `mobs_mc_blaze_breath.ogg`
    * `mobs_mc_blaze_died.ogg`
    * `mobs_mc_squid_hurt.ogg`
* [thefilmbakery](https://freesound.org/people/thefilmbakery/) (CC0)
    * `mobs_mc_blaze_hurt.ogg`
	* Source: <https://freesound.org/people/thefilmbakery/sounds/137836/>
* TenPlus1, from `mobs_monster` or `mobs_animal` mod (MIT License)
    * `mobs_chicken.ogg`
    * `mobs_fireball.ogg`
    * `mobs_mc_cat_idle.1.ogg`
    * `mobs_mc_llama.ogg`
    * `mobs_pig.ogg`
    * `mobs_pig_angry.ogg`
    * `mobs_rat.ogg`
    * `mobs_sandmonster.ogg`
    * `mobs_spider.ogg`
* BrandonReese (LGPL v2.1)
    * `mobs_eerie.ogg`
* [Under7dude](https://freesound.org/people/Under7dude/) (CC0)
    * `mobs_mc_zombie_growl.ogg`
        * Source: <https://freesound.org/people/Under7dude/sounds/163445/>
* [haratman](https://freesound.org/people/haratman/) (CC0)
    * `mobs_mc_zombie_death.ogg`
        * Source: <https://freesound.org/people/haratman/sounds/393749/>
    * `mobs_mc_zombie_hurt.ogg`
        * Source: <https://freesound.org/people/haratman/sounds/393749/>
* [Spennnyyy](https://freesound.org/people/Spennnyyy/) (CC0)
    * `mcl_totems_totem.ogg`
        * Source: <https://freesound.org/people/Spennnyyy/sounds/323502/>
* [Baŝto](https://opengameart.org/users/ba%C5%9Dto)
    * `mobs_mc_skeleton_random.*.ogg` (CC BY 3.0)
        * Source: <https://opengameart.org/content/walking-skeleton>
* [spookymodem](https://freesound.org/people/spookymodem/)
    * `mobs_mc_skeleton_death.ogg` (CC0)
        * <https://freesound.org/people/spookymodem/sounds/202091/>
* [Cribbler](https://freesound.org/people/Cribbler/)
    * `mobs_mc_skeleton_hurt.ogg` (CC0)
        * Source: <https://freesound.org/people/Cribbler/sounds/381859/>
* [GoodListener](https://freesound.org/people/GoodListener/)
    * `mobs_mc_horse_random.1.ogg` (CC BY 3.0)
        * Source: <https://freesound.org/people/GoodListener/sounds/322454/>
    * `mobs_mc_horse_death.ogg` (CC BY 3.0)
        * Source: <https://freesound.org/people/GoodListener/sounds/322445/>
* [ERH](https://freesound.org/people/ERH/)
    * `mobs_mc_horse_random.2.ogg` (CC BY 3.0)
        * Source: <https://freesound.org/people/ERH/sounds/32043/>
* [j1987](https://freesound.org/people/j1987/)
    * `mobs_mc_creeper_death.ogg` (CC0)
        * Source: <https://freesound.org/people/j1987/sounds/111325>
* [themightyglider](https://opengameart.org/users/themightyglider)
    * `mobs_mc_creeper_hurt.ogg` (CC0)
        * Source: <https://opengameart.org/content/simple-fuse-sound>
* [pauliw](https://opengameart.org/users/pauliw)
    * `mobs_mc_vex_hurt.ogg` (CC0)
        * Source: <https://opengameart.org/content/some-kind-of-beings-soundsx>
    * `mobs_mc_vex_death.ogg` (CC0)
        * Source: <https://opengameart.org/content/some-kind-of-beings-sounds7>
* [suonho](https://freesound.org/people/suonho/)
    * `mobs_mc_bat_idle.ogg` (CC BY 3.0)
        * Source: <https://freesound.org/people/suonho/sounds/59344/>
* [cmusounddesign](https://freesound.org/people/cmusounddesign/)
    * `mobs_mc_cat_hiss.ogg` (CC BY 3.0)
        * Source: <https://freesound.org/people/cmusounddesign/sounds/71899/>
* [SelsRoyalNavy](https://freesound.org/people/SelsRoyalNavy/)
    * `mobs_mc_cat_idle.2.ogg` (CC0)
        * Source: <https://freesound.org/people/SelsRoyalNavy/sounds/427081/>
* [ebcrosby](https://freesound.org/people/ebcrosby/)
    * `mobs_mc_ocelot_hurt.ogg` (CC BY 3.0)
        * Source: <https://freesound.org/people/ebcrosby/sounds/332979/>
* [Inocodum](https://forum.minetest.net/memberlist.php?mode=viewprofile&u=3115)
    * `mobs_mc_silverfish_hurt.ogg` (CC BY-SA 4.0)
    * `mobs_mc_silverfish_death.ogg` (CC BY-SA 4.0)
    * `mobs_mc_silverfish_idle.ogg` (CC BY-SA 4.0)
        * Source: <https://forum.minetest.net/viewtopic.php?f=17&t=10013>
* [LukeIRL](https://freesound.org/people/LukeIRL/)
    * `mobs_mc_magma_cube_small.ogg` (CC BY 4.0)
        * Derived from: <https://freesound.org/people/LukeIRL/sounds/176123/>
    * `mobs_mc_magma_cube_big.ogg` (CC BY 4.0)
        * Derived from: <https://freesound.org/people/LukeIRL/sounds/176123/>
* [kbnevel](https://freesound.org/people/kbnevel/)
    * `mobs_mc_magma_cube_attack.ogg` (CC0)
        * Derived from: <https://freesound.org/people/kbnevel/sounds/119863/>

Note: Many of these sounds have been more or less modified to fit the game.

Sounds not mentioned hre are licensed under CC0.
